StorageProxyMBean (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.service

## Interface StorageProxyMBean

- All Known Implementing Classes:
    StorageProxy

      public interface StorageProxyMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCasContentionTimeout()`
    `java.lang.Long` | `getCounterWriteRpcTimeout()`
    `boolean` | `getHintedHandoffEnabled()`
    `java.util.Set<java.lang.String>` | `getHintedHandoffEnabledByDC()`
    `int` | `getHintsInProgress()`
    `int` | `getMaxHintsInProgress()`
    `int` | `getMaxHintWindow()`
    `long` | `getRangeOperations()` Deprecated.
    `java.lang.Long` | `getRangeRpcTimeout()`
    `long` | `getReadOperations()` Deprecated.
    `long` | `getReadRepairAttempted()`
    `long` | `getReadRepairRepairedBackground()`
    `long` | `getReadRepairRepairedBlocking()`
    `java.lang.Long` | `getReadRpcTimeout()`
    `long[]` | `getRecentRangeLatencyHistogramMicros()` Deprecated.
    `double` | `getRecentRangeLatencyMicros()` Deprecated.
    `long[]` | `getRecentReadLatencyHistogramMicros()` Deprecated.
    `double` | `getRecentReadLatencyMicros()` Deprecated.
    `long[]` | `getRecentWriteLatencyHistogramMicros()` Deprecated.
    `double` | `getRecentWriteLatencyMicros()` Deprecated.
    `java.lang.Long` | `getRpcTimeout()`
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getSchemaVersions()` Returns each live node's schema version
    `long` | `getTotalHints()`
    `long[]` | `getTotalRangeLatencyHistogramMicros()` Deprecated.
    `long` | `getTotalRangeLatencyMicros()` Deprecated.
    `long[]` | `getTotalReadLatencyHistogramMicros()` Deprecated.
    `long` | `getTotalReadLatencyMicros()` Deprecated.
    `long[]` | `getTotalWriteLatencyHistogramMicros()` Deprecated.
    `long` | `getTotalWriteLatencyMicros()` Deprecated.
    `java.lang.Long` | `getTruncateRpcTimeout()`
    `long` | `getWriteOperations()` Deprecated.
    `java.lang.Long` | `getWriteRpcTimeout()`
    `void` | `reloadTriggerClasses()`
    `void` | `setCasContentionTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setCounterWriteRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setHintedHandoffEnabled(boolean b)`
    `void` | `setHintedHandoffEnabledByDCList(java.lang.String dcs)`
    `void` | `setMaxHintsInProgress(int qs)`
    `void` | `setMaxHintWindow(int ms)`
    `void` | `setRangeRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setReadRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setTruncateRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setWriteRpcTimeout(java.lang.Long timeoutInMillis)`

- - ### Method Detail

    - #### getReadOperations

          @Deprecated
          long getReadOperations()

      Deprecated.
      See Also:
        `LatencyMetrics.lastOpCount`

    - #### getTotalReadLatencyMicros

          @Deprecated
          long getTotalReadLatencyMicros()

      Deprecated.
      See Also:
        `LatencyMetrics.totalLatencyHistogram`

    - #### getRecentReadLatencyMicros

          @Deprecated
          double getRecentReadLatencyMicros()

      Deprecated.
      See Also:
        `LatencyMetrics.recentLatencyHistogram`

    - #### getTotalReadLatencyHistogramMicros

          @Deprecated
          long[] getTotalReadLatencyHistogramMicros()

      Deprecated.
      See Also:
        `LatencyMetrics.totalLatencyHistogram`

    - #### getRecentReadLatencyHistogramMicros

          @Deprecated
          long[] getRecentReadLatencyHistogramMicros()

      Deprecated.
      See Also:
        `LatencyMetrics.recentLatencyHistogram`

    - #### getRangeOperations

          @Deprecated
          long getRangeOperations()

      Deprecated.

    - #### getTotalRangeLatencyMicros

          @Deprecated
          long getTotalRangeLatencyMicros()

      Deprecated.

    - #### getRecentRangeLatencyMicros

          @Deprecated
          double getRecentRangeLatencyMicros()

      Deprecated.

    - #### getTotalRangeLatencyHistogramMicros

          @Deprecated
          long[] getTotalRangeLatencyHistogramMicros()

      Deprecated.

    - #### getRecentRangeLatencyHistogramMicros

          @Deprecated
          long[] getRecentRangeLatencyHistogramMicros()

      Deprecated.

    - #### getWriteOperations

          @Deprecated
          long getWriteOperations()

      Deprecated.

    - #### getTotalWriteLatencyMicros

          @Deprecated
          long getTotalWriteLatencyMicros()

      Deprecated.

    - #### getRecentWriteLatencyMicros

          @Deprecated
          double getRecentWriteLatencyMicros()

      Deprecated.

    - #### getTotalWriteLatencyHistogramMicros

          @Deprecated
          long[] getTotalWriteLatencyHistogramMicros()

      Deprecated.

    - #### getRecentWriteLatencyHistogramMicros

          @Deprecated
          long[] getRecentWriteLatencyHistogramMicros()

      Deprecated.

    - #### getTotalHints

          long getTotalHints()

    - #### getHintedHandoffEnabled

          boolean getHintedHandoffEnabled()

    - #### getHintedHandoffEnabledByDC

          java.util.Set<java.lang.String> getHintedHandoffEnabledByDC()

    - #### setHintedHandoffEnabled

          void setHintedHandoffEnabled(boolean b)

    - #### setHintedHandoffEnabledByDCList

          void setHintedHandoffEnabledByDCList(java.lang.String dcs)

    - #### getMaxHintWindow

          int getMaxHintWindow()

    - #### setMaxHintWindow

          void setMaxHintWindow(int ms)

    - #### getMaxHintsInProgress

          int getMaxHintsInProgress()

    - #### setMaxHintsInProgress

          void setMaxHintsInProgress(int qs)

    - #### getHintsInProgress

          int getHintsInProgress()

    - #### getRpcTimeout

          java.lang.Long getRpcTimeout()

    - #### setRpcTimeout

          void setRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getReadRpcTimeout

          java.lang.Long getReadRpcTimeout()

    - #### setReadRpcTimeout

          void setReadRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getWriteRpcTimeout

          java.lang.Long getWriteRpcTimeout()

    - #### setWriteRpcTimeout

          void setWriteRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getCounterWriteRpcTimeout

          java.lang.Long getCounterWriteRpcTimeout()

    - #### setCounterWriteRpcTimeout

          void setCounterWriteRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getCasContentionTimeout

          java.lang.Long getCasContentionTimeout()

    - #### setCasContentionTimeout

          void setCasContentionTimeout(java.lang.Long timeoutInMillis)

    - #### getRangeRpcTimeout

          java.lang.Long getRangeRpcTimeout()

    - #### setRangeRpcTimeout

          void setRangeRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getTruncateRpcTimeout

          java.lang.Long getTruncateRpcTimeout()

    - #### setTruncateRpcTimeout

          void setTruncateRpcTimeout(java.lang.Long timeoutInMillis)

    - #### reloadTriggerClasses

          void reloadTriggerClasses()

    - #### getReadRepairAttempted

          long getReadRepairAttempted()

    - #### getReadRepairRepairedBlocking

          long getReadRepairRepairedBlocking()

    - #### getReadRepairRepairedBackground

          long getReadRepairRepairedBackground()

    - #### getSchemaVersions

          java.util.Map<java.lang.String,java.util.List<java.lang.String>> getSchemaVersions()

      Returns each live node's schema version

Copyright © 2014 The Apache Software Foundation